<?php
class TranslitIT
{
// транслит
     function translit_rus( $var, $type = 'norm' ) {
        $rus_trans = array(
            'a' => 'а',  'z' => 'з',   'p' => 'п',  'ch' => 'ч',  'A' => 'А',   'Z' => 'З',   'P' => 'П',   'CH' => 'Ч',
            'b' => 'б',  'i' => 'и',   'r' => 'р',  'w' => 'ш',   'B' => 'Б',   'I' => 'И',   'R' => 'Р',   'W' => 'Ш',
            'v' => 'в',  'j' => 'й',   's' => 'с',  'sh' => 'щ',  'V' => 'В',   'J' => 'Й',   'S' => 'С',   'SH' => 'Щ',
            'g' => 'г',  'k' => 'к',   't' => 'т',  'q' => 'ъ',   'G' => 'Г',   'K' => 'К',   'T' => 'Т',   'Q' => 'Ъ',
            'd' => 'д',  'l' => 'л',   'u' => 'у',  'y' => 'ы',   'D' => 'Д',   'L' => 'Л',   'U' => 'У',   'Y' => 'Ы',
            'e' => 'е',  'm' => 'м',   'f' => 'ф',  'x' => 'э',   'E' => 'Е',   'M' => 'М',   'F' => 'Ф',   'X' => 'Э',
            'yo' => 'ё', 'n' => 'н',   'h' => 'х',  'yu' => 'ю', 'YO' => 'Ё',   'N' => 'Н',   'H' => 'Х',   'YU' => 'Ю',
            'zh' => 'ж', 'o' => 'о',   'c' => 'ц',  'ya' => 'я', 'ZH' => 'Ж',   'O' => 'О',   'C' => 'Ц',   'YA' => 'Я');
        if( $type == 'link' ) {
            $rus_trans[' '] = '_';
        }
        $result = strtr( $var, $rus_trans );
        return $result;
     }
	 
	 
	 
function translit_eng( $vars, $types = 'norm' ) 
{
    $eng_trans = array(
        'А'=>'a',   'Б'=>'b',  'В'=>'v',  'Г'=>'g',   'Д'=>'d',   'Е'=>'e',    'Ж'=>'j',   'З'=>'z',   'И'=>'i',   'Й'=>'y',   
        'К'=>'k',  'Л'=>'l',  'М'=>'m',   'Н'=>'n',   'О'=>'o',    'П'=>'p',   'Р'=>'r',   'С'=>'s',   'Ы'=>'yi',  'Ь'=>'',
        'Ф'=>'f',  'Х'=>'h',   'Ц'=>'ts',  'Ч'=>'ch',   'Ш'=>'sh',  'Щ'=>'sch', 'Ъ'=>'',   'Ы'=>'yi',  'Ь'=>'',   'Э'=>'e',
        'Ю'=>'yu',  'Я'=>'ya',  'а'=>'a',    'б'=>'b',   'в'=>'v',   'г'=>'g',   'д'=>'d', 'е'=>'e',   'ж'=>'j',  'з'=>'z',
        'и'=>'i',   'й'=>'y',   'к'=>'k',    'л'=>'l',   'м'=>'m',   'н'=>'n',   'о'=>'o', 'п'=>'p',   'р'=>'r',  'с'=>'s',
        'т'=>'t',   'у'=>'u',   'ф'=>'f',    'х'=>'h',   'ц'=>'ts',  'ч'=>'ch',  'ш'=>'sh', 
		'ь'=>'',    'э'=>'e',   'ю'=>'yu',   'я'=>'ya',  ' '=> '_',   '.'=> '',  '/'=> '_');
      
	  if( $types == 'link' ) {
            $eng_trans[' '] = '_';
        }
        $results = strtr( $vars, $eng_trans );
        return $results;
     }
}
$translits = new TranslitIT;
?>